| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Gr3d.I3dGraphicsControl Interface Reference

Interface for 3D graphics controls that can be manipulated via a standard set of commands for rotation etc. More...

Inheritance diagram for IG.Gr3d.I3dGraphicsControl:
[legend]

## Public Member Functions
void | ChangeZoom (double factor)
| Changes CameraViewAngle by the factor defined by the specified factor. More...
void | RotateAzimuth (double angleStepDegrees)
| Rotates the camera in the fi direction. More...
void | RotatePitch (double angleStepDegrees)
| Rotates the camera in the theta direction. More...
void | RotateRoll (double angleStepDegrees)
| Rotates the camera around the viewing direction. More...

## Properties
double | RotationStep`[get, set]`
double | ZoomFactor`[get, set]`
| Zoom step, in degrees, that is used in a single zoom operation. More...
double | CameraViewAngle`[get, set]`
| Viewing angle of the camera, in degrees (defines the zoom level). More...
double | CameraRoll`[get, set]`
| Roll of the camera (amount of rotation abount viewing direction) More...
vec3 | CameraPosition`[get, set]`
| Gets or sets camera position. More...
vec3 | CameraFocalPoint`[get, set]`
| Gets or sets camera focal point. More...
vec3 | CameraViewUp`[get, set]`
| Gets or sets the camera viewing up position. More...
vec3 | CameraDirection`[get, set]`
| Camera direction. More...
vec3 | CameraDirectionSpherical`[get, set]`
| Gets or sets camera direction in spherical coordinates. More...

## Detailed Description

Interface for 3D graphics controls that can be manipulated via a standard set of commands for rotation etc.

$A Igor xx;

## Member Function Documentation

void IG.Gr3d.I3dGraphicsControl.ChangeZoom | ( | double | factor | ) |

Changes CameraViewAngle by the factor defined by the specified factor.

Parameters

  factor | Factor by which the view angle is increased (must be greater than 1).

Implemented in IG.Gr3d.VtkControlBase.

void IG.Gr3d.I3dGraphicsControl.RotateAzimuth | ( | double | angleStepDegrees | ) |

Rotates the camera in the fi direction.

Parameters

  angleStepDegrees | Step, in degrees, by which the camera is rotated clockwise.

Implemented in IG.Gr3d.VtkControlBase.

void IG.Gr3d.I3dGraphicsControl.RotatePitch | ( | double | angleStepDegrees | ) |

Rotates the camera in the theta direction.

Parameters

  angleStepDegrees | Step, in degrees, by which the camera is rotated.

Implemented in IG.Gr3d.VtkControlBase.

void IG.Gr3d.I3dGraphicsControl.RotateRoll | ( | double | angleStepDegrees | ) |

Rotates the camera around the viewing direction.

Parameters

  angleStepDegrees | Step, in degrees, by which the camera is rotated.

Implemented in IG.Gr3d.VtkControlBase.

## Property Documentation

double IG.Gr3d.I3dGraphicsControl.RotationStep
| get set

double IG.Gr3d.I3dGraphicsControl.ZoomFactor
| get set

Zoom step, in degrees, that is used in a single zoom operation.

Must be greater than 1.

double IG.Gr3d.I3dGraphicsControl.CameraViewAngle
| get set

Viewing angle of the camera, in degrees (defines the zoom level).

Parameters

  angleStepDegrees | Step, in degrees, by which the camera is rotated.

double IG.Gr3d.I3dGraphicsControl.CameraRoll
| get set

Roll of the camera (amount of rotation abount viewing direction)

vec3 IG.Gr3d.I3dGraphicsControl.CameraPosition
| get set

Gets or sets camera position.

vec3 IG.Gr3d.I3dGraphicsControl.CameraFocalPoint
| get set

Gets or sets camera focal point.

vec3 IG.Gr3d.I3dGraphicsControl.CameraViewUp
| get set

Gets or sets the camera viewing up position.

vec3 IG.Gr3d.I3dGraphicsControl.CameraDirection
| get set

Camera direction.

Getter obtains it as difference between the camera focal point and camera position.

Setter sets the camera focal points in such a way that camera direction has the specified value.

vec3 IG.Gr3d.I3dGraphicsControl.CameraDirectionSpherical
| get set

Gets or sets camera direction in spherical coordinates.

The documentation for this interface was generated from the following file:

- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/I3dGraphicsControl.cs